<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://eurovision.jobogamer.xyz/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-morebits.css</id>
	<title>MediaWiki:Gadget-morebits.css - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://eurovision.jobogamer.xyz/index.php?action=history&amp;feed=atom&amp;title=MediaWiki%3AGadget-morebits.css"/>
	<link rel="alternate" type="text/html" href="https://eurovision.jobogamer.xyz/index.php?title=MediaWiki:Gadget-morebits.css&amp;action=history"/>
	<updated>2026-05-21T03:26:10Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.45.3</generator>
	<entry>
		<id>https://eurovision.jobogamer.xyz/index.php?title=MediaWiki:Gadget-morebits.css&amp;diff=75&amp;oldid=prev</id>
		<title>Alfie: 1 revision imported</title>
		<link rel="alternate" type="text/html" href="https://eurovision.jobogamer.xyz/index.php?title=MediaWiki:Gadget-morebits.css&amp;diff=75&amp;oldid=prev"/>
		<updated>2026-03-19T09:58:26Z</updated>

		<summary type="html">&lt;p&gt;1 revision imported&lt;/p&gt;
&lt;table style=&quot;background-color: #fff; color: #202122;&quot; data-mw=&quot;interface&quot;&gt;
				&lt;tr class=&quot;diff-title&quot; lang=&quot;en&quot;&gt;
				&lt;td colspan=&quot;1&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;← Older revision&lt;/td&gt;
				&lt;td colspan=&quot;1&quot; style=&quot;background-color: #fff; color: #202122; text-align: center;&quot;&gt;Revision as of 05:58, 19 March 2026&lt;/td&gt;
				&lt;/tr&gt;&lt;tr&gt;&lt;td colspan=&quot;2&quot; class=&quot;diff-notice&quot; lang=&quot;en&quot;&gt;&lt;div class=&quot;mw-diff-empty&quot;&gt;(No difference)&lt;/div&gt;
&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Alfie</name></author>
	</entry>
	<entry>
		<id>https://eurovision.jobogamer.xyz/index.php?title=MediaWiki:Gadget-morebits.css&amp;diff=74&amp;oldid=prev</id>
		<title>en&gt;SD0001: Repo at f310b34: simplify and move ombox CSS from morebits.css to twinkle.css (#2317)</title>
		<link rel="alternate" type="text/html" href="https://eurovision.jobogamer.xyz/index.php?title=MediaWiki:Gadget-morebits.css&amp;diff=74&amp;oldid=prev"/>
		<updated>2026-02-18T18:21:40Z</updated>

		<summary type="html">&lt;p&gt;Repo at f310b34: simplify and move ombox CSS from morebits.css to twinkle.css (#2317)&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;/**&lt;br /&gt;
 * morebits.css&lt;br /&gt;
 * ===========&lt;br /&gt;
 * Styles to support morebits.js.&lt;br /&gt;
 *&lt;br /&gt;
 * The morebits library is maintained by the maintainers of Twinkle.&lt;br /&gt;
 * For queries, suggestions, help, etc., head to [[WT:TW]].&lt;br /&gt;
 * The latest development source is available at [https://github.com/wikimedia-gadgets/twinkle/blob/master/morebits.css].&lt;br /&gt;
 */&lt;br /&gt;
&lt;br /&gt;
/* Define CSS variables */&lt;br /&gt;
html {&lt;br /&gt;
	--morebits-color-status-status: #4682b4;&lt;br /&gt;
	--morebits-color-legend: #31628f;&lt;br /&gt;
	--morebits-color-tooltip: #0000cd;&lt;br /&gt;
	--morebits-color-info: #228b22;&lt;br /&gt;
	--morebits-color-warning: #ff4500;&lt;br /&gt;
	--morebits-color-titlebar-links: #3062ad;&lt;br /&gt;
	--morebits-bgcolor-dialog: #f0f8ff;&lt;br /&gt;
	--morebits-bgcolor-titlebar: #bccadf;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
@media screen {&lt;br /&gt;
	html.skin-theme-clientpref-night {&lt;br /&gt;
		--morebits-color-status-status: #a6c4de;&lt;br /&gt;
		--morebits-color-legend: #6b9dcc;&lt;br /&gt;
		--morebits-color-tooltip: #7a7aff;&lt;br /&gt;
		--morebits-color-info: #6bdb6b;&lt;br /&gt;
		--morebits-color-warning: #ff6d38;&lt;br /&gt;
		--morebits-color-titlebar-links: #8baddf;&lt;br /&gt;
		--morebits-bgcolor-dialog: #141c26;&lt;br /&gt;
		--morebits-bgcolor-titlebar: #1c2a52;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* stylelint-disable-next-line plugin/no-unsupported-browser-features */&lt;br /&gt;
@media screen and (prefers-color-scheme: dark) {&lt;br /&gt;
	html.skin-theme-clientpref-os {&lt;br /&gt;
		--morebits-color-status-status: #a6c4de;&lt;br /&gt;
		--morebits-color-legend: #6b9dcc;&lt;br /&gt;
		--morebits-color-tooltip: #7a7aff;&lt;br /&gt;
		--morebits-color-info: #6bdb6b;&lt;br /&gt;
		--morebits-color-warning: #ff6d38;&lt;br /&gt;
		--morebits-color-titlebar-links: #8baddf;&lt;br /&gt;
		--morebits-bgcolor-dialog: #141c26;&lt;br /&gt;
		--morebits-bgcolor-titlebar: #1c2a52;&lt;br /&gt;
	}&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Morebits.Status */&lt;br /&gt;
&lt;br /&gt;
.morebits_status_status {&lt;br /&gt;
	color: var(--morebits-color-status-status);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits_status_info {&lt;br /&gt;
	color: var(--morebits-color-info);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits_status_warn {&lt;br /&gt;
	color: var(--morebits-color-warning);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits_status_error {&lt;br /&gt;
	color: var(--morebits-color-warning);&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Morebits.QuickForm */&lt;br /&gt;
&lt;br /&gt;
form.quickform {&lt;br /&gt;
	box-sizing: border-box;&lt;br /&gt;
	width: 98%;&lt;br /&gt;
	height: 100%;&lt;br /&gt;
	min-height: 0;&lt;br /&gt;
	margin: 0 auto;&lt;br /&gt;
	padding: 0.5em;&lt;br /&gt;
	color: var(--color-base, #202122);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* use flex layout for quickform to make the scrollbox resize with&lt;br /&gt;
   the dialog, and to keep it from obscuring elements below it */&lt;br /&gt;
form.quickform.has-scrollbox {&lt;br /&gt;
	display: flex;&lt;br /&gt;
	flex-direction: column;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform * {&lt;br /&gt;
	font-family: sans-serif;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform fieldset {&lt;br /&gt;
	margin: 0.4em 0 1em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform legend {&lt;br /&gt;
	color: var(--morebits-color-legend);&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform input[type=text],&lt;br /&gt;
form.quickform select {&lt;br /&gt;
	min-width: 15em;&lt;br /&gt;
	font-size: 110%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform select {&lt;br /&gt;
	/* stylelint-disable-next-line color-named */ /* FIXME */&lt;br /&gt;
	border: 1px solid gray;&lt;br /&gt;
	margin-left: 0.2em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform input[type=checkbox],&lt;br /&gt;
form.quickform input[type=radio] {&lt;br /&gt;
	height: 13px;&lt;br /&gt;
	margin-top: 2px;&lt;br /&gt;
	margin-right: 2px;&lt;br /&gt;
	margin-bottom: 2px;&lt;br /&gt;
	padding: 0;&lt;br /&gt;
	width: 13px;&lt;br /&gt;
	vertical-align: top;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform div {&lt;br /&gt;
	/* stylelint-disable-next-line declaration-property-unit-disallowed-list */ /* FIXME */&lt;br /&gt;
	line-height: 18px;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform h5 {&lt;br /&gt;
	margin: 0.5em 0 0;&lt;br /&gt;
	padding: 0.3em 0.2em 0.2em;&lt;br /&gt;
	font-size: 108%; /* 100% is 12px =&amp;gt; 108% is 12.96px */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* only give the top border to headers with something above them */&lt;br /&gt;
form.quickform div + h5,&lt;br /&gt;
form.quickform h5 + h5,&lt;br /&gt;
form.quickform div + div &amp;gt; h5 {&lt;br /&gt;
	border-top: 1px solid #88a;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform textarea {&lt;br /&gt;
	width: 100%;&lt;br /&gt;
	height: 4em;&lt;br /&gt;
	font-size: 150%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform input:disabled + label {&lt;br /&gt;
	color: var(--color-disabled, #72777d);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform span.quickformDescription {&lt;br /&gt;
	font-style: italic;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform span.quickformDescription code {&lt;br /&gt;
	font-style: normal;&lt;br /&gt;
	font-family: monospace;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
form.quickform .quickformSubgroup {&lt;br /&gt;
	margin-bottom: 0.5em;&lt;br /&gt;
	margin-left: 3em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* The tooltip button and the content itself */&lt;br /&gt;
form.quickform .morebits-tooltipButton {&lt;br /&gt;
	color: var(--morebits-color-tooltip);&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
	cursor: help;&lt;br /&gt;
	padding: 0.3em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-ui-tooltip {&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	z-index: 1005;&lt;br /&gt;
	padding: 4px 6px 4px 6px;&lt;br /&gt;
	max-width: 300px;&lt;br /&gt;
	transition: opacity 600ms ease;&lt;br /&gt;
	opacity: 0;&lt;br /&gt;
	visibility: hidden;&lt;br /&gt;
	pointer-events: none;&lt;br /&gt;
	/* stylelint-disable-next-line declaration-property-unit-disallowed-list */ /* FIXME */&lt;br /&gt;
	font-size: 13px;&lt;br /&gt;
	background: var(--background-color-neutral-subtle, #f8f9fa);&lt;br /&gt;
	border: 2px solid var(--border-color-base, #a2ab91);&lt;br /&gt;
	box-shadow: 0 0 5px #a2ab91;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-ui-tooltip.visible {&lt;br /&gt;
	opacity: 1;&lt;br /&gt;
	visibility: visible;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Scrollbox styles, for use within Morebits.SimpleWindow */&lt;br /&gt;
&lt;br /&gt;
div.morebits-scrollbox {&lt;br /&gt;
	background: var(--background-color-base, #fff);&lt;br /&gt;
	/* stylelint-disable-next-line color-named */ /* FIXME */&lt;br /&gt;
	border: 1px solid gray;&lt;br /&gt;
	margin-bottom: 0.6em;&lt;br /&gt;
	margin-top: 0.6em;&lt;br /&gt;
	height: auto;&lt;br /&gt;
	flex-grow: 1;&lt;br /&gt;
	min-height: 0;&lt;br /&gt;
	overflow: auto;&lt;br /&gt;
	padding: 6px 6px 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
div.morebits-scrollbox &amp;gt; h5:first-child {&lt;br /&gt;
	border: 0;&lt;br /&gt;
	margin-top: 0;&lt;br /&gt;
	padding-top: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
div.morebits-scrollbox &amp;gt; :last-child {&lt;br /&gt;
	margin-bottom: 6px;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Previewbox */&lt;br /&gt;
&lt;br /&gt;
div.morebits-previewbox {&lt;br /&gt;
	border: 2px inset;&lt;br /&gt;
	margin: 0.4em auto 0.2em;&lt;br /&gt;
	padding: 0.2em 0.4em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
div.morebits-usertext {&lt;br /&gt;
	border: 1px solid #a2a9b1;&lt;br /&gt;
	background-color: var(--background-color-neutral-subtle, #f8f9fa);&lt;br /&gt;
	padding: 5px;&lt;br /&gt;
	font-size: 95%;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Morebits.SimpleWindow */&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog {&lt;br /&gt;
	padding: 0.2em;&lt;br /&gt;
	border: 1px #666 solid;&lt;br /&gt;
	font-family: sans-serif;&lt;br /&gt;
	background-color: var(--morebits-bgcolor-dialog);&lt;br /&gt;
	display: flex;&lt;br /&gt;
	flex-direction: column;&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	overflow: hidden;&lt;br /&gt;
	min-width: 150px;&lt;br /&gt;
	min-height: 150px;&lt;br /&gt;
	/* top, left, width, height, max-height, and z-index are set via JS */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog-resizer {&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	right: -5px;&lt;br /&gt;
	bottom: -5px;&lt;br /&gt;
	height: 20px;&lt;br /&gt;
	width: 20px;&lt;br /&gt;
	cursor: se-resize;&lt;br /&gt;
	background-image: url(data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0iVVRGLTgiPz4KPHN2ZyB2aWV3Qm94PSIwIDAgMTYgMTYiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyI+Cgk8ZyBzdHJva2U9IiM3MmE3Y2UiPgoJCTxwYXRoIGQ9Im0wIDEwTDEwIDAiLz4KCQk8cGF0aCBkPSJtNCAxMEwxMCA0Ii8+CgkJPHBhdGggZD0ibTggMTBMMTAgOCIvPgoJPC9nPgo8L3N2Zz4K);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* px translations in comments are w.r.t standard browser settings,&lt;br /&gt;
   in other settings, the sizes would be scaled accordingly */&lt;br /&gt;
.skin-vector .morebits-dialog {&lt;br /&gt;
	font-size: 75%; /* 100% is 16px =&amp;gt; 75% is 12px */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.skin-timeless .morebits-dialog {&lt;br /&gt;
	font-size: 79%; /* 100% is 15.2px =&amp;gt; 79% is 12.008px */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.skin-monobook .morebits-dialog,&lt;br /&gt;
.skin-modern .morebits-dialog {&lt;br /&gt;
	font-size: 120%; /* 100% is 10px =&amp;gt; 120% is 12px */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-titlebar {&lt;br /&gt;
	height: 1em;&lt;br /&gt;
	min-height: 1em;&lt;br /&gt;
	background-color: var(--morebits-bgcolor-titlebar);&lt;br /&gt;
	font: bold 108% sans-serif; /* 100% is 12px (from above) =&amp;gt; 108% is 12.96px */&lt;br /&gt;
	overflow: hidden;&lt;br /&gt;
	padding: 0.4em 0.3em 0.5em;&lt;br /&gt;
	white-space: nowrap;&lt;br /&gt;
	display: flex; /* needed so that align-items can be used */&lt;br /&gt;
	align-items: center; /* to vertically center the close button */&lt;br /&gt;
	cursor: move;&lt;br /&gt;
	position: relative; /* so that the close button can be positioned relative to titlebar */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog-scriptname {&lt;br /&gt;
	font-weight: normal;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-close {&lt;br /&gt;
	position: absolute;&lt;br /&gt;
	right: 0;&lt;br /&gt;
	background-color: transparent;&lt;br /&gt;
	border: 0;&lt;br /&gt;
	font-size: 1.2em;&lt;br /&gt;
	font-weight: bold;&lt;br /&gt;
	padding: 5px 10px;&lt;br /&gt;
	cursor: pointer;&lt;br /&gt;
	border-radius: 50%;&lt;br /&gt;
	transition: background-color 0.2s, color 0.2s;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-close:hover {&lt;br /&gt;
	background-color: #eee;&lt;br /&gt;
	color: #000;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-close span {&lt;br /&gt;
	margin: 0.33em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-content {&lt;br /&gt;
	padding: 0;&lt;br /&gt;
	display: flex;&lt;br /&gt;
	flex-direction: column;&lt;br /&gt;
	box-sizing: border-box;&lt;br /&gt;
	height: 100%;&lt;br /&gt;
	flex-grow: 1;&lt;br /&gt;
	overflow-y: auto;&lt;br /&gt;
	min-height: 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-buttonpane {&lt;br /&gt;
	background-color: var(--morebits-bgcolor-titlebar);&lt;br /&gt;
	margin: auto 0 0;&lt;br /&gt;
	padding: 0.3em 1.4em 0.5em 1.2em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-buttonpane button {&lt;br /&gt;
	margin-top: 0.2em;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog-buttons {&lt;br /&gt;
	font-size: 108%; /* 100% is 12px =&amp;gt; 108% is 12.96px */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog-footerlinks {&lt;br /&gt;
	font-size: 97%; /* 100% is 12px (from above) =&amp;gt; 97% is 11.64px */&lt;br /&gt;
	float: right;&lt;br /&gt;
	margin: 0.7em 0.4em 0 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog .morebits-dialog-footerlinks a {&lt;br /&gt;
	color: var(--morebits-color-titlebar-links);&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog-buttons[data-empty] + .morebits-dialog-footerlinks {&lt;br /&gt;
	margin: 0.1em 0.4em -0.2em 0;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog-overlay {&lt;br /&gt;
	position: fixed;&lt;br /&gt;
	top: 0;&lt;br /&gt;
	left: 0;&lt;br /&gt;
	width: 100%;&lt;br /&gt;
	height: 100%;&lt;br /&gt;
	background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent black */&lt;br /&gt;
	z-index: 700; /* Higher than morebits-dialog but lesser than morebits-dialog-modal */&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
.morebits-dialog.morebits-dialog-modal {&lt;br /&gt;
	z-index: 701;&lt;br /&gt;
}&lt;br /&gt;
&lt;br /&gt;
/* Override select2 silliness */&lt;br /&gt;
.select2-morebits,&lt;br /&gt;
.select2-morebits .select2-results,&lt;br /&gt;
.select2-morebits .select2-results__option[aria-selected=true],&lt;br /&gt;
.select2-morebits .select2-selection__rendered,&lt;br /&gt;
.select2-morebits .select2-selection--multiple,&lt;br /&gt;
.select2-morebits .select2-selection__choice {&lt;br /&gt;
	background: var(--background-color-base, #fff) !important;&lt;br /&gt;
	color: inherit !important;&lt;br /&gt;
}&lt;/div&gt;</summary>
		<author><name>en&gt;SD0001</name></author>
	</entry>
</feed>